> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Company

> Delete a single company from the database.



## OpenAPI

````yaml DELETE /core/companies/{company_id}
openapi: 3.0.1
info:
  title: rootfi
  version: v3
servers:
  - url: https://api.rootfi.dev/v3
    description: global
  - url: https://api.sa.rootfi.dev/v3
    description: saudi
security: []
paths:
  /core/companies/{company_id}:
    delete:
      tags:
        - CoreCompanies
      summary: Delete Company
      description: Delete a single company from the database.
      operationId: core_companies_delete
      parameters:
        - name: company_id
          in: path
          description: The ID of the company to delete
          required: true
          schema:
            type: integer
          examples:
            Example1:
              value: 1102
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteResponse'
              examples:
                Example1:
                  value:
                    status: success
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DeleteResponse:
      title: DeleteResponse
      type: object
      properties:
        status:
          type: string
          description: The status of the api.
          example: success
      required:
        - status
    RootFiAPIResponseType:
      title: RootFiAPIResponseType
      type: object
      properties:
        error:
          $ref: '#/components/schemas/RootFiAPIResponseErrorType'
          description: The error message
      required:
        - error
    RootFiAPIResponseErrorType:
      title: RootFiAPIResponseErrorType
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        field:
          type: string
          description: The status of the error
      required:
        - message
        - code
        - field
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api_key

````